import routes from './routes'
import service from './service'
import userInfoCtrl from './user-info/user-info-ctrl'
import setAccountInfoCtrl from './set-account-info/set-account-info-ctrl'
import setSystemCtrl from './set-system/set-system-ctrl'
import setSystemFeedbackCtrl from './set-system-feedback/set-system-feedback-ctrl'
import recordHistoryCtrl from './record-history/record-history-ctrl'
import myCollectionCtrl from './my-collection/my-collection-ctrl'
import wrongListCtrl from './wrong-list/wrong-list-ctrl'
import setSystemContactusCtrl from './set-system-contactus/set-system-contactus-ctrl'
import setSystemVersionCtrl from './set-system-version/set-system-version-ctrl'
//@@-APPEND-CTRL-IMPORT-@@

let accountModule = angular.module('yikao.account',[]);
accountModule.service('AccountSvr',service)
accountModule.config(routes)
accountModule.controller('UserInfoCtrl',userInfoCtrl);
accountModule.controller('SetAccountInfoCtrl',setAccountInfoCtrl);
accountModule.controller('SetSystemCtrl',setSystemCtrl);
accountModule.controller('SetSystemFeedbackCtrl',setSystemFeedbackCtrl);
accountModule.controller('RecordHistoryCtrl',recordHistoryCtrl);
accountModule.controller('MyCollectionCtrl',myCollectionCtrl);
accountModule.controller('WrongListCtrl',wrongListCtrl);
accountModule.controller('SetSystemContactusCtrl',setSystemContactusCtrl);
accountModule.controller('SetSystemVersionCtrl',setSystemVersionCtrl);
//@@-APPEND-CONTROLLER-@@

export default accountModule
