export default ($scope, AccountSvr) => {

    // AJAX 渲染列表页  搜索
    let getHistoryList = () => {
        AccountSvr.sysShow({ title: '加载中', num: '5000' });
        AccountSvr.getHistory.data = {
            userId: AccountSvr.getLocalItem('user').userid,
            examId: AccountSvr.getLocalItem('user').examid
        };
        AccountSvr.getHistory.headers = {
            TIKU_AUTH_TOKEN: AccountSvr.getLocalItem('user').TIKU_AUTH_TOKEN
        };
        AccountSvr.getHistory.callback = (data, status) => {
            if(data.data.code != 0) {
                AccountSvr.sysHide();
                AccountSvr.sysShow({ title: data.data.errMsg, num: '1000' });
            } else {
                $scope.list = data.data.data;
                AccountSvr.sysHide();
            }
        };
        AccountSvr.ajax(AccountSvr.getHistory);
    };

    getHistoryList();

    // 去解析页面
    $scope.goTopicAnalysis = (obj) => {
        // 查看解析页，将相关数据存入localStorage，通过动态改变localStorage数据, 改变解析页面中数据
        AccountSvr.setLocalItem('topic', {
            title: obj.title,
            typeStr: obj.typeStr,
            subject: {
                userId: AccountSvr.getLocalItem('user').userid,
                courseId: obj._obj.courseId,
                chapterId: obj._obj.chapterId,
                type: obj.type
            },
            yearly: {
                userId: AccountSvr.getLocalItem('user').userid,
                yearlyId: obj._obj.yearlyId,
                type: obj.type
            },
            paper: {
                userId: AccountSvr.getLocalItem('user').userid,
                paperId: obj._obj.paperId,
                type: obj.type
            }
        });
        AccountSvr.goState('topicAnalysis');
    };
}
