export default ($scope, AccountSvr) => {
    $scope.feedback = AccountSvr.feedbackData;
    $scope.feedback.title = '';
    $scope.feedback.content = '';
    $scope.feedback.linkInfo = '';
    
    // 提交
    $scope.submit = () => {
        // 输入为空 验证
		if(AccountSvr.isNaN($scope.feedback.title)) {
            AccountSvr.sysHide();
			AccountSvr.sysShow({ title: '请输入标题', num: '1000' });
			return ;
		} else if(AccountSvr.isNaN($scope.feedback.content)) {
            AccountSvr.sysHide();
			AccountSvr.sysShow({ title: '请输入内容', num: '1000' });
			return ;
        } else if(AccountSvr.isNaN($scope.feedback.linkInfo)) {
            AccountSvr.sysHide();
			AccountSvr.sysShow({ title: '请留下联系方式', num: '1000' });
			return ;
        }
        // AJAX 提交考试调用
        AccountSvr.feedbackInfo.data = AccountSvr.feedbackData;
        AccountSvr.feedbackData.userId = AccountSvr.getLocalItem('user').userid;
        AccountSvr.feedbackInfo.headers = {
            TIKU_AUTH_TOKEN: AccountSvr.getLocalItem('user').TIKU_AUTH_TOKEN
        };
		AccountSvr.feedbackInfo.callback = (data, status) => {
			if(data.data.code != 0) {
				AccountSvr.sysShow({ title: data.data.errMsg, num: '1000' });
			} else {
                AccountSvr.sysShow({ title: '谢谢您的反馈<br>我们会尽快处理', num: '1000' });
                $scope.feedback.title = '';
                $scope.feedback.content = '';
                $scope.feedback.linkInfo = '';
			}
		};
		AccountSvr.ajax(AccountSvr.feedbackInfo);
    };
}
