import routes from './routes'
import service from './service'
import logInCtrl from './log-in/log-in-ctrl'
import findPasswordCtrl from './find-password/find-password-ctrl'
import registerCtrl from './register/register-ctrl'
import outLinkCtrl from './out-link/out-link-ctrl'
//@@-APPEND-CTRL-IMPORT-@@

let loginModule = angular.module('yikao.login',[]);
loginModule.service('LoginSvr',service)
loginModule.config(routes)
loginModule.controller('LogInCtrl',logInCtrl);
loginModule.controller('FindPasswordCtrl',findPasswordCtrl);
loginModule.controller('RegisterCtrl',registerCtrl);
loginModule.controller('OutLinkCtrl',outLinkCtrl);
//@@-APPEND-CONTROLLER-@@

export default loginModule
