export default ($scope, TopicSvr, $ionicSlideBoxDelegate) => {
    // AJAX 渲染列表页  按学科
    let getSubjectTopic = () => {
        TopicSvr.sysShow({ title: '加载中', num: '5000' });
        TopicSvr.getChapterTiList.data = TopicSvr.getLocalItem('topic').subject;
        TopicSvr.getChapterTiList.headers = {
            TIKU_AUTH_TOKEN: TopicSvr.getLocalItem('user').TIKU_AUTH_TOKEN
        };
        TopicSvr.getChapterTiList.callback = (data, status) => {
            if(data.data.code != 0) {
                TopicSvr.sysHide();
                TopicSvr.sysShow({ title: data.data.errMsg, num: '1000' });
            } else {
                $scope.doList = data.data.data;
                $scope.arr = [];
                for(let i=0; i<$scope.doList.length; i++) {
                    $scope.arr.push({
                        collect: $scope.doList[i].iscurretcollect?'已收藏':'收藏',
                        answer: $scope.doList[i].answer || '',
                        videoUrl: $scope.doList[i].videourl,
                        isPlay: false
                    });
                    // 统计单选 多选个数
                    if($scope.doList[i].titype == 1) $scope.simpleCount += 1;
                    if($scope.doList[i].titype == 2) $scope.multiCount += 1;
                    // 处理答案
                    for(let j=0; j<6; j++) $scope.arr[i]['on'+j] = false;
                    let answer = $scope.arr[i].answer;
                    if(answer != '') {
                        if($scope.doList[i].titype == 1) { // 单选
                            switch(answer) {
                                case 'A': $scope.arr[i]['on0'] = true;break;
                                case 'B': $scope.arr[i]['on1'] = true;break;
                                case 'C': $scope.arr[i]['on2'] = true;break;
                                case 'D': $scope.arr[i]['on3'] = true;break;
                                case 'E': $scope.arr[i]['on4'] = true;break;
                                case 'F': $scope.arr[i]['on5'] = true;break;
                            }
                        } else if($scope.doList[i].titype == 2) { // 多选
                            answer += ',';
                            if(/A,/.test(answer)) { $scope.arr[i]['on0'] = true; }
                            if(/B,/.test(answer)) { $scope.arr[i]['on1'] = true; }
                            if(/C,/.test(answer)) { $scope.arr[i]['on2'] = true; }
                            if(/D,/.test(answer)) { $scope.arr[i]['on3'] = true; }
                            if(/E,/.test(answer)) { $scope.arr[i]['on4'] = true; }
                            if(/F,/.test(answer)) { $scope.arr[i]['on5'] = true; }
                        }
                    }
                    // 处理正确、错误题目
                    for(let j=0; j<6; j++) $scope.arr[i]['right'+j] = false;
                    for(let j=0; j<6; j++) $scope.arr[i]['wrong'+j] = true;
                    let tirightanswer = $scope.doList[i].tirightanswer;
                    if($scope.doList[i].titype == 1) { // 单选
                        switch(tirightanswer) {
                            case 'A': $scope.arr[i]['right0'] = true;$scope.arr[i]['wrong0'] = false;break;
                            case 'B': $scope.arr[i]['right1'] = true;$scope.arr[i]['wrong1'] = false;break;
                            case 'C': $scope.arr[i]['right2'] = true;$scope.arr[i]['wrong2'] = false;break;
                            case 'D': $scope.arr[i]['right3'] = true;$scope.arr[i]['wrong3'] = false;break;
                            case 'E': $scope.arr[i]['right4'] = true;$scope.arr[i]['wrong4'] = false;break;
                            case 'F': $scope.arr[i]['right5'] = true;$scope.arr[i]['wrong5'] = false;break;
                        }
                    } else if($scope.doList[i].titype == 2) { // 多选
                        tirightanswer += ',';
                        if(/A,/.test(tirightanswer)) { $scope.arr[i]['right0'] = true;$scope.arr[i]['wrong0'] = false; }
                        if(/B,/.test(tirightanswer)) { $scope.arr[i]['right1'] = true;$scope.arr[i]['wrong1'] = false; }
                        if(/C,/.test(tirightanswer)) { $scope.arr[i]['right2'] = true;$scope.arr[i]['wrong2'] = false; }
                        if(/D,/.test(tirightanswer)) { $scope.arr[i]['right3'] = true;$scope.arr[i]['wrong3'] = false; }
                        if(/E,/.test(tirightanswer)) { $scope.arr[i]['right4'] = true;$scope.arr[i]['wrong4'] = false; }
                        if(/F,/.test(tirightanswer)) { $scope.arr[i]['right5'] = true;$scope.arr[i]['wrong5'] = false; }
                    }
                }
                TopicSvr.sysHide();
                $ionicSlideBoxDelegate.update();
                $ionicSlideBoxDelegate.slide(0);
            }
        };
        TopicSvr.ajax(TopicSvr.getChapterTiList);
    };

    // 获取 视频地址
    $scope.getUrl = (outerIndex) => {
      TopicSvr.sysShow({ title: '加载中', num: '5000' });
      TopicSvr.getVideoUrl.url = TopicSvr.getVideoUrl.tempUrl + '?videoId=' + $scope.arr[outerIndex].videoUrl
      TopicSvr.getVideoUrl.headers = {
        TIKU_AUTH_TOKEN: TopicSvr.getLocalItem('user').TIKU_AUTH_TOKEN
      };
      TopicSvr.getVideoUrl.callback = (data, status) => {
        if(data.data.code != 0) {
          TopicSvr.sysHide();
          TopicSvr.sysShow({ title: data.data.errMsg, num: '1000' });
        } else {
          TopicSvr.sysHide();
          $scope.arr[outerIndex].videoUrl = data.data.data.video.copy[0].playurl
          $scope.arr[outerIndex].isPlay = true
        }
      };
      TopicSvr.ajax(TopicSvr.getVideoUrl);
    }

    // AJAX 渲染列表页  按年代
    let getYearlyTopic = () => {
        TopicSvr.sysShow({ title: '加载中', num: '5000' });
        TopicSvr.getYearlyTiList.data = TopicSvr.getLocalItem('topic').yearly;
        TopicSvr.getYearlyTiList.headers = {
            TIKU_AUTH_TOKEN: TopicSvr.getLocalItem('user').TIKU_AUTH_TOKEN
        };
        TopicSvr.getYearlyTiList.callback = (data, status) => {
            if(data.data.code != 0) {
                TopicSvr.sysHide();
                TopicSvr.sysShow({ title: data.data.errMsg, num: '1000' });
            } else {
                $scope.doList = data.data.data;
                $scope.arr = [];
                for(let i=0; i<$scope.doList.length; i++) {
                    $scope.arr.push({
                        collect: $scope.doList[i].iscurretcollect?'已收藏':'收藏',
                        answer: $scope.doList[i].answer || '',
                        videoUrl: $scope.doList[i].videourl
                    });
                    // 统计单选 多选个数
                    if($scope.doList[i].titype == 1) $scope.simpleCount += 1;
                    if($scope.doList[i].titype == 2) $scope.multiCount += 1;
                    // 处理答案
                    for(let j=0; j<6; j++) $scope.arr[i]['on'+j] = false;
                    let answer = $scope.arr[i].answer;
                    if(answer != '') {
                        if($scope.doList[i].titype == 1) { // 单选
                            switch(answer) {
                                case 'A': $scope.arr[i]['on0'] = true;break;
                                case 'B': $scope.arr[i]['on1'] = true;break;
                                case 'C': $scope.arr[i]['on2'] = true;break;
                                case 'D': $scope.arr[i]['on3'] = true;break;
                                case 'E': $scope.arr[i]['on4'] = true;break;
                                case 'F': $scope.arr[i]['on5'] = true;break;
                            }
                        } else if($scope.doList[i].titype == 2) { // 多选
                            answer += ',';
                            if(/A,/.test(answer)) { $scope.arr[i]['on0'] = true; }
                            if(/B,/.test(answer)) { $scope.arr[i]['on1'] = true; }
                            if(/C,/.test(answer)) { $scope.arr[i]['on2'] = true; }
                            if(/D,/.test(answer)) { $scope.arr[i]['on3'] = true; }
                            if(/E,/.test(answer)) { $scope.arr[i]['on4'] = true; }
                            if(/F,/.test(answer)) { $scope.arr[i]['on5'] = true; }
                        }
                    }
                    // 处理正确、错误题目
                    for(let j=0; j<6; j++) $scope.arr[i]['right'+j] = false;
                    for(let j=0; j<6; j++) $scope.arr[i]['wrong'+j] = true;
                    let tirightanswer = $scope.doList[i].tirightanswer;
                    if($scope.doList[i].titype == 1) { // 单选
                        switch(tirightanswer) {
                            case 'A': $scope.arr[i]['right0'] = true;$scope.arr[i]['wrong0'] = false;break;
                            case 'B': $scope.arr[i]['right1'] = true;$scope.arr[i]['wrong1'] = false;break;
                            case 'C': $scope.arr[i]['right2'] = true;$scope.arr[i]['wrong2'] = false;break;
                            case 'D': $scope.arr[i]['right3'] = true;$scope.arr[i]['wrong3'] = false;break;
                            case 'E': $scope.arr[i]['right4'] = true;$scope.arr[i]['wrong4'] = false;break;
                            case 'F': $scope.arr[i]['right5'] = true;$scope.arr[i]['wrong5'] = false;break;
                        }
                    } else if($scope.doList[i].titype == 2) { // 多选
                        tirightanswer += ',';
                        if(/A,/.test(tirightanswer)) { $scope.arr[i]['right0'] = true;$scope.arr[i]['wrong0'] = false; }
                        if(/B,/.test(tirightanswer)) { $scope.arr[i]['right1'] = true;$scope.arr[i]['wrong1'] = false; }
                        if(/C,/.test(tirightanswer)) { $scope.arr[i]['right2'] = true;$scope.arr[i]['wrong2'] = false; }
                        if(/D,/.test(tirightanswer)) { $scope.arr[i]['right3'] = true;$scope.arr[i]['wrong3'] = false; }
                        if(/E,/.test(tirightanswer)) { $scope.arr[i]['right4'] = true;$scope.arr[i]['wrong4'] = false; }
                        if(/F,/.test(tirightanswer)) { $scope.arr[i]['right5'] = true;$scope.arr[i]['wrong5'] = false; }
                    }
                }
                TopicSvr.sysHide();
                $ionicSlideBoxDelegate.update();
            }
        };
        TopicSvr.ajax(TopicSvr.getYearlyTiList);
    };

    // AJAX 渲染列表页  按周末考试
    let getPaperTopic = () => {
        TopicSvr.sysShow({ title: '加载中', num: '5000' });
        TopicSvr.getPaperTiList.data = TopicSvr.getLocalItem('topic').paper;
        TopicSvr.getPaperTiList.headers = {
            TIKU_AUTH_TOKEN: TopicSvr.getLocalItem('user').TIKU_AUTH_TOKEN
        };
        TopicSvr.getPaperTiList.callback = (data, status) => {
            if(data.data.code != 0) {
                TopicSvr.sysHide();
                TopicSvr.sysShow({ title: data.data.errMsg, num: '1000' });
            } else {
                $scope.doList = data.data.data;
                $scope.arr = [];
                for(let i=0; i<$scope.doList.length; i++) {
                    $scope.arr.push({
                        collect: $scope.doList[i].iscurretcollect?'已收藏':'收藏',
                        answer: $scope.doList[i].answer || '',
                        videoUrl: $scope.doList[i].videourl
                    });
                    // 统计单选 多选个数
                    if($scope.doList[i].titype == 1) $scope.simpleCount += 1;
                    if($scope.doList[i].titype == 2) $scope.multiCount += 1;
                    // 处理答案
                    for(let j=0; j<6; j++) $scope.arr[i]['on'+j] = false;
                    let answer = $scope.arr[i].answer;
                    if(answer != '') {
                        if($scope.doList[i].titype == 1) { // 单选
                            switch(answer) {
                                case 'A': $scope.arr[i]['on0'] = true;break;
                                case 'B': $scope.arr[i]['on1'] = true;break;
                                case 'C': $scope.arr[i]['on2'] = true;break;
                                case 'D': $scope.arr[i]['on3'] = true;break;
                                case 'E': $scope.arr[i]['on4'] = true;break;
                                case 'F': $scope.arr[i]['on5'] = true;break;
                            }
                        } else if($scope.doList[i].titype == 2) { // 多选
                            answer += ',';
                            if(/A,/.test(answer)) { $scope.arr[i]['on0'] = true; }
                            if(/B,/.test(answer)) { $scope.arr[i]['on1'] = true; }
                            if(/C,/.test(answer)) { $scope.arr[i]['on2'] = true; }
                            if(/D,/.test(answer)) { $scope.arr[i]['on3'] = true; }
                            if(/E,/.test(answer)) { $scope.arr[i]['on4'] = true; }
                            if(/F,/.test(answer)) { $scope.arr[i]['on5'] = true; }
                        }
                    }
                    // 处理正确、错误题目
                    for(let j=0; j<6; j++) $scope.arr[i]['right'+j] = false;
                    for(let j=0; j<6; j++) $scope.arr[i]['wrong'+j] = true;
                    let tirightanswer = $scope.doList[i].tirightanswer;
                    if($scope.doList[i].titype == 1) { // 单选
                        switch(tirightanswer) {
                            case 'A': $scope.arr[i]['right0'] = true;$scope.arr[i]['wrong0'] = false;break;
                            case 'B': $scope.arr[i]['right1'] = true;$scope.arr[i]['wrong1'] = false;break;
                            case 'C': $scope.arr[i]['right2'] = true;$scope.arr[i]['wrong2'] = false;break;
                            case 'D': $scope.arr[i]['right3'] = true;$scope.arr[i]['wrong3'] = false;break;
                            case 'E': $scope.arr[i]['right4'] = true;$scope.arr[i]['wrong4'] = false;break;
                            case 'F': $scope.arr[i]['right5'] = true;$scope.arr[i]['wrong5'] = false;break;
                        }
                    } else if($scope.doList[i].titype == 2) { // 多选
                        tirightanswer += ',';
                        if(/A,/.test(tirightanswer)) { $scope.arr[i]['right0'] = true;$scope.arr[i]['wrong0'] = false; }
                        if(/B,/.test(tirightanswer)) { $scope.arr[i]['right1'] = true;$scope.arr[i]['wrong1'] = false; }
                        if(/C,/.test(tirightanswer)) { $scope.arr[i]['right2'] = true;$scope.arr[i]['wrong2'] = false; }
                        if(/D,/.test(tirightanswer)) { $scope.arr[i]['right3'] = true;$scope.arr[i]['wrong3'] = false; }
                        if(/E,/.test(tirightanswer)) { $scope.arr[i]['right4'] = true;$scope.arr[i]['wrong4'] = false; }
                        if(/F,/.test(tirightanswer)) { $scope.arr[i]['right5'] = true;$scope.arr[i]['wrong5'] = false; }
                    }
                }
                TopicSvr.sysHide();
                $ionicSlideBoxDelegate.update();
            }
        };
        TopicSvr.ajax(TopicSvr.getPaperTiList);
    };

    // AJAX 题目收藏
    let collectTopic = (outerIndex, data) => {
        data.userId = TopicSvr.getLocalItem('user').userid;
        TopicSvr.collectTopic.data = data;
        TopicSvr.collectTopic.headers = {
            TIKU_AUTH_TOKEN: TopicSvr.getLocalItem('user').TIKU_AUTH_TOKEN
        };
        TopicSvr.collectTopic.callback = (data, status) => {
            if(data.data.code != 0) {
                TopicSvr.sysHide();
                TopicSvr.sysShow({ title: data.data.errMsg, num: '1000' });
            } else {
                TopicSvr.sysShow({ title: '已收藏', num: '1000' });
                $scope.arr[outerIndex]['collect'] = '已收藏';
            }
        };
        TopicSvr.ajax(TopicSvr.collectTopic);
    };
    // AJAX 题目取消收藏
    let cancelCollectTopic = (outerIndex, data) => {
        TopicSvr.cancelCollectTopic.data = {
            userId: TopicSvr.getLocalItem('user').userid,
            tid: data.tid
        };
        TopicSvr.cancelCollectTopic.headers = {
            TIKU_AUTH_TOKEN: TopicSvr.getLocalItem('user').TIKU_AUTH_TOKEN
        };
        TopicSvr.cancelCollectTopic.callback = (data, status) => {
            if(data.data.code != 0) {
                TopicSvr.sysHide();
                TopicSvr.sysShow({ title: data.data.errMsg, num: '1000' });
            } else {
                TopicSvr.sysShow({ title: '取消收藏', num: '1000' });
                $scope.arr[outerIndex]['collect'] = '收藏';
            }
        };
        TopicSvr.ajax(TopicSvr.cancelCollectTopic);
    };


    // 向导提示关闭
    $scope.guide = () => {
        $scope.guideVal = 1;
    }

    // 收藏当前题目
    $scope.collect = (outerIndex, data) => {
        if($scope.arr[outerIndex]['collect'] == '收藏') {
            collectTopic(outerIndex, data);
        } else if($scope.arr[outerIndex]['collect'] == '已收藏') {
            cancelCollectTopic(outerIndex, data);
        }
    };

  // 刷新函数
  $scope.doRefresh = () => {
    $scope.arr = []
    $scope.doList = {}
    $scope.title = TopicSvr.getLocalItem('topic').title
    $scope.simpleCount = 0
    $scope.multiCount = 0

    // 重新调用接口
    if (TopicSvr.getLocalItem('topic').typeStr == 'subject') {
      getSubjectTopic()
    } else if (TopicSvr.getLocalItem('topic').typeStr == 'yearly') {
      getYearlyTopic()
    } else if (TopicSvr.getLocalItem('topic').typeStr == 'paper') {
      getPaperTopic()
    }
  }

  // 进入或返回该页面时，刷新页面数据
  $scope.$on('$ionicView.beforeEnter', $scope.doRefresh);
}
