/**
 * lib中 用到的所有插件内容
 *  angular-base64 这款解析器没有jquery的好，已经换成jquery的   base64转换   这个引入 在指令模块里
 *  ICalendar  省市区 三级联动
 *  ngstorage  本地localstorage
 */



// 扩展插件
import './lib/ngstorage/ngStorage.min'
import './lib/ng-cordova/dist/ng-cordova'

import accountModule from './modules/account'
import loginModule from './modules/login'
import examModule from './modules/exam'
import topicModule from './modules/topic'
import messageModule from './modules/message'
//@@-APPEND-MODULE-IMPORT
import directives from './directives'
import utilsModule from './utils'
import config from './config'
angular.module('yikao', [
  'ionic',
  'ngCordova',
  accountModule.name,
  loginModule.name,
  examModule.name,
  topicModule.name,
  messageModule.name,
//@@-APPEND-MODULE-NAME
  directives.name,
  utilsModule.name,
  'ngStorage'
])

.run(function($ionicPlatform, $state,VersionChecker,$timeout) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    $timeout(function () {
      VersionChecker.checkVersion();
    },30*1000);
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }

    // 暂时 设置默认跳转
    // $state.go('setSystem');
    $state.go('logIn');
    // $state.go('examInfo');
  });
})

.config(($localStorageProvider, $ionicConfigProvider, $httpProvider) => {
  $localStorageProvider.setKeyPrefix('yikao');

  // $ionicConfigProvider.views.transition('ios');
  // $ionicConfigProvider.scrolling.jsScrolling(false);
  // $ionicConfigProvider.tabs.style('standard').position('bottom');
  $ionicConfigProvider.views.maxCache(5);
  // $httpProvider.defaults.timeout = 20 * 1000;
})
  .constant('Config',config);
