export default ($scope, AccountSvr, $ionicHistory) => {
    // 退出登录
    $scope.quit = () => {
        // AJAX 退出登录调用
        AccountSvr.quit.headers = {
            TIKU_AUTH_TOKEN: AccountSvr.getLocalItem('user').TIKU_AUTH_TOKEN
        };
        AccountSvr.quit.callback = (data, status) => {
            if(data.data.code != 0) {
                AccountSvr.sysShow({ title: data.data.errMsg, num: '1000' });
            } else {
                AccountSvr.sysShow({ title: '已退出', num: '1000' });
                // 清空上级历史记录
				$ionicHistory.nextViewOptions({
					historyRoot: true,
					disableBack: true
        });
        AccountSvr.setLocalItem('user', {});
                AccountSvr.goState('logIn');
            }
        };
        AccountSvr.ajax(AccountSvr.quit);
    };
}
