export default ($scope, ExamSvr) => {
    // 对应数据列表
    $scope.list = {};
    // 一级 控制
    $scope.item = {};
    // 每个一级下 二级 控制
    $scope.checkArr = [];
    // 回显初始化
    let checkSelect = (outerIndex, innerIndex, data) => {
        var examId = ExamSvr.getLocalItem('user').examid;
        if(outerIndex == -1 && !examId) return ;
        // 如果存在 考试id,根据考试id去查找 outerIndex 和 innerIndex
        if(examId && data) {
            ExamSvr.params.examName = ExamSvr.getLocalItem('user').examname;
            ExamSvr.params.examId = examId;
            
            outerIndex = 0;
            for(let key in data) {
                let examList = data[key].examList, flag = false;
                for(let i=0; i<examList.length; i++) {
                    if(examId == examList[i].examId) {
                        flag = true;
                        innerIndex = i;
                        break;
                    }
                }
                if(flag) break;
                outerIndex ++;
            }
        }
        // 一级
        $scope.item[outerIndex] = true;
        // 遍历添加数组并设定选择 为true   二级
        while($scope.checkArr.length-1 < outerIndex) { $scope.checkArr.push({}); }
        for(let i=0; i<$scope.checkArr.length; i++) {
            for(let key in $scope.checkArr[i]) {
                $scope.checkArr[i][key] = false;
            }
        }
        $scope.checkArr[outerIndex][innerIndex] = true;
    };
    // 展开收起切换
    $scope.selectToggle = (val) => {
        $scope.item[val] = !$scope.item[val];
    };
    // AJAX 渲染列表页
    ExamSvr.sysShow({ title: '加载中', num: '5000' });
    ExamSvr.examList.headers = {
        TIKU_AUTH_TOKEN: ExamSvr.getLocalItem('user').TIKU_AUTH_TOKEN
    };
    ExamSvr.examList.callback = (data, status) => {
        if(data.data.code != 0) {
            ExamSvr.sysHide();
            ExamSvr.sysShow({ title: data.data.errMsg, num: '1000' });
        } else {
            $scope.list = data.data.data;
            checkSelect(ExamSvr.selectList.outerIndex, ExamSvr.selectList.innerIndex, data.data.data);
            ExamSvr.sysHide();
        }
    };
    ExamSvr.ajax(ExamSvr.examList);

    // 点击选择
    $scope.checkOne = (name, id, outerIndex, innerIndex) => {
        ExamSvr.params.examName = name;
        ExamSvr.params.examId = id;

        // 回显初始化 用
        ExamSvr.selectList.outerIndex = outerIndex;
        ExamSvr.selectList.innerIndex = innerIndex;

        checkSelect(outerIndex, innerIndex, null);
    };
    // 保存
    $scope.save = () => {
        // 更新 考试id等信息进入缓存
        let temp = ExamSvr.getLocalItem('user');
        temp.examid = ExamSvr.params.examId;
        temp.examname = ExamSvr.params.examName;
        ExamSvr.setLocalItem('user', temp);
        ExamSvr.goBack();
    };
}
