import routes from './routes'
import service from './service'
import topicIndexCtrl from './topic-index/topic-index-ctrl'
import topicDoCtrl from './topic-do/topic-do-ctrl'
import topicListCtrl from './topic-list/topic-list-ctrl'
import topicReportCtrl from './topic-report/topic-report-ctrl'
import topicAnalysisCtrl from './topic-analysis/topic-analysis-ctrl'
//@@-APPEND-CTRL-IMPORT-@@

let topicModule = angular.module('yikao.topic',[]);
topicModule.service('TopicSvr',service)
topicModule.config(routes)
topicModule.controller('TopicIndexCtrl',topicIndexCtrl);
topicModule.controller('TopicDoCtrl',topicDoCtrl);
topicModule.controller('TopicListCtrl',topicListCtrl);
topicModule.controller('TopicReportCtrl',topicReportCtrl);
topicModule.controller('TopicAnalysisCtrl',topicAnalysisCtrl);
//@@-APPEND-CONTROLLER-@@

export default topicModule
