/**
 * Created by caidi on 2017/9/6.
 */
export default ($http,$cordovaDialogs,$cordovaAppVersion,$cordovaInAppBrowser,Config) => {
  return {
    checkVersion:function () {
      let platform,version,_data;
      return $http.get(Config.versionCheckURL)
        .then((data) => {
          _data = data.data;
          let appVersion = _data.version;
          platform = ionic.Platform.platform();
          platform = platform.toUpperCase();
          version = appVersion[platform];
          return $cordovaAppVersion.getVersionNumber()
        })
        .then((build) => {
          let appBuild = build;
          let ab = this._formatVersion(appBuild);
          let v = this._formatVersion(version);
          console.log('当前版本：',appBuild,'版本号：',ab);
          console.log('线上版本：',version,'版本号：',v);
          if (ab < v) {
            $cordovaDialogs.confirm(_data.info,'版本更新',['暂不更新','更新'])
              .then((confirm) => {
                if (confirm == 2) {
                  let address = _data.downloadAddress;
                  address = address[platform];
                  $cordovaInAppBrowser.open(address, '_system',{
                    location: 'no'
                  })
                }
              })
          }
        });
    },
    _formatVersion:function(version){
      version = version.split('.');
      let v = _.reduce(version,(r,i,idx)=>{
        i = this._setZero(i,2);
        r = r+ i;
        return r;
      },'');
      return +v;
    },
    _setZero:(num,zeroCnt) => {
      let t = (num+'').length,
        s = '';
      for(let i=0; i<zeroCnt-t; i++){
        s += '0';
      }
      return s+num;
    }
  }
};
